gnutls_pkcs7_get_crt_raw(3)

NAME
gnutls_pkcs7_get_crt_raw - This function returns a certificate in a PKCS7 certificate set

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_pkcs7_get_crt_raw(gnutls_pkcs7_t pkcs7, int indx, void * certificate, size_t * certificate_size);

ARGUMENTS

gnutls_pkcs7_t pkcs7

int indx
    contains the index of the certificate to extract

void * certificate
    the contents of the certificate will be copied there (may be null)

size_t * certificate_size
    should hold the size of the certificate

DESCRIPTION
This function will return a certificate of the PKCS7 or RFC2630 certificate set. Returns 0 on success. If the provided buffer is not long enough, then certificate_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER is returned. After the last certificate has been read GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.